Subject: Re: [PATCH] Add diffuse as merge and diff tool

From: Sebastian Pipping <[email-masked]>
Date: Mon, 30 Mar 2009 18:41:33 +0200

David Aguilar wrote:
>>  Documentation/git-mergetool.txt        |    3 ++-
>>  Documentation/merge-config.txt         |    7 ++++---
>>  contrib/completion/git-completion.bash |    3 ++-
>>  contrib/difftool/git-difftool-helper   |   12 ++++++++----
>>  contrib/difftool/git-difftool.txt      |    4 ++--
>>  git-gui/lib/mergetool.tcl              |    7 +++++++
>>  git-mergetool.sh                       |   15 ++++++++++++---
>>  7 files changed, 37 insertions(+), 14 deletions(-)
> 
> 
> Hey, thanks for the patch.
> Ouch.. too many places with duplicated information, huh?

Yes.

> I'm in the middle of refactoring git-(diff|merge)tool so that
> there is less duplication of code.
> 
> Junio also has a number of difftool-related patches in his
> proposed-updates "pu" branch.
> 
> Sebastian, would you mind if I rebased your patch on top of my
> work (once I send it out) so that it makes things easier on
> our kind maintainer?  I have a big patch series coming down that
> does away with the redundancies so I think it'd be best if we
> transfered your changes on top of it.  Would you mind if I
> rebased your patch and sent it out to the list?
> 
> It wouldn't be until much later tonight (or tomorrow) at the
> earliest since I have some unpacking to take care of but if
> that's cool with you just let me know.
> 
> You should see the refactoring patches from me shortly...

My patch is your patch, do as you please.

Just take care to keep the order of the files passed
to Diffuse intact, especially with $MERGED second,
as Diffuse sets focus on the second document after startup.

Sebastian